# GetCustomersInfo

### Description

Retrieves information about a set of customers.

Note that to call this function, you must:

* Set the AdminEncryptionKey

```csharp
DataSet GetCustomersInfo (string webServiceUrl, string fieldName, 
                          string fieldOperator, string fieldValue, 
                          out string response)
```

### Parameters

| Parameter     |  Type  | Description                                                                     |
| ------------- | :----: | ------------------------------------------------------------------------------- |
| webServiceUrl | string | URL to the QLM License Server.                                                  |
| fieldName     | string | field from the Customers table. Typical fields are: Email, FullName, CustomerID |
| fieldOperator | string | a valid SQL operator such as: =, like, <>                                       |
| fieldValue    | string | value of the field to match                                                     |
| response      | string | XML fragment containing the result of the call.                                 |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>Succesfully retrieved customers.</result>
</QuickLicenseManager>
```

### Example error response

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

## Remarks

Use [ParseResults ](/docs/api-reference/.net-api/iqlmcustomerinfo/methods/parseresults.md)to interpret the results of the call and load the returned data into an [ILicenseInfo ](/docs/api-reference/.net-api/ilicenseinfo.md)object.

### Example

```csharp
DataSet ds = license.GetCustomersInfo (webServiceUrl, 
                                       "email", "=", "'customer@mail.com'", 
                                       out response);
ILicenseInfo li = new LicenseInfo();
string message = string.Empty;
if (lv.QlmLicenseObject.ParseResults(response, ref li, ref message))
{
  // The operation  was successful	
}
else
{
  // The operation failed
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/management-methods/getcustomersinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
